<?
include("../fnc.php");
enlinea_a();

if(!$mes){
  $mes=date("m");
}
if(!$year){
  $year=date("Y");
}

if($mes<1 or $mes >12){
 alert("Error, parámetros incorrectos","javascript:history.go(-1)");
}

//$primer_dia=date("w",mktime(0,0,0,$txtmes,1,$txtyear));
$dias_mes=date("t",mktime(0,0,0,$txtmes,1,$txtyear));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>e-Ducativo - Bienvenido</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../estilo1.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/JavaScript">
<!--
function validar(){
  var formulario=document.form1;
  var objeto;
  
  objeto=formulario.txtgrado;
  if(objeto.value=="SV"){
    alert("Seleccione un grado");
    objeto.focus();
    return (false);
  }
  objeto=formulario.txtseccion;
  if(objeto.value=="SV"){
    alert("Seleccione una sección");
    objeto.focus();
    return (false);
  }
  objeto=formulario.txtmes;
  if(objeto.value=="SV"){
    alert("Seleccione mes a consultar");
    objeto.focus();
    return (false);
  }
  objeto=formulario.txtyear;
  if(objeto.value==""){
    alert("Ingrese el año a consultar (4 dígitos)");
    objeto.focus();
    return (false);
  }
  objeto=formulario.txtgrado;
  if(isNaN(parseFloat(objeto.value))){
    alert("El valor ingresado en el año no es válido");
    objeto.select();
    return (false);
  }
  
  return (true);
}

function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}

// CODIGO COMBOS SECCIONES POR GRADO
var grado= new Array();
var seccion_grado = new Array();
<?php
 $qgrado=mysql_query("select grados.id as idgrado, grados.grado, niveles.nivel, niveles.id as idnivel
                      from grados inner join niveles on niveles.id = grados.nivel
                      order by niveles.id, grados.id");

 $n=1;
 while($igrado=mysql_fetch_array($qgrado)){
  echo "grado[$n]='".$igrado[grado]." ".$igrado[nivel]."|".$igrado[idgrado]."';\n";
  $n++;
 }

 $qpp=mysql_query("select * from secciones_grados order by seccion");
 $n=0;
 while($ipp=mysql_fetch_array($qpp)){
  echo "seccion_grado[$n]='".$ipp[grado]."|".$ipp[seccion]."|".$ipp[seccion]."';\n";
  $n++;
 }
?>


function llenar_seccion(){
 for(i=document.form1.txtseccion.length; i>-1; i--){
   document.form1.txtseccion.options[i]=null;
 }
 cont=0;
 document.form1.txtseccion.options[cont] = new Option ("Seleccione...","SV");
 cont++;
 var mGrado=document.form1.txtgrado.value;

 for(i=0;i<seccion_grado.length;i++){

   var tmp = seccion_grado[i].split("|");
   var encontrado=false;
   var tmp2 = tmp[0].split(",");

   for(k=0;k<=tmp2.length;k++){
     if (tmp2[k]==mGrado){
       encontrado = true;
     }
   }

   if(encontrado==true){
    document.form1.txtseccion.options[cont] = new Option (tmp[1], tmp[2]);
    cont++;
   }
 }
}
// FIN CODIGO SECCIONES POR GRADOS
//-->
</script>
</head>

<body>
<table width="750" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#333333">
  <tr>
    <td bgcolor="#336699">    <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#E5E5E5">
      <tr bgcolor="#FFFFFF">
        <td width="40%"><img src="../images/logo_5.gif" width="300" height="50"></td>
        <td width="60%" background="../images/back_header_admin.gif" bgcolor="#FFFFFF"><div align="right" class="usuario_nombre_enc"><strong><strong><?echo "$unombre $uapellido";?></strong><br>
          </strong>Tiene <?=mensajes($uuser);?> mensaje(s) sin leer</div></td>
      </tr>
      <tr bgcolor="#FFFFFF">
        <td height="15" colspan="2" background="../images/barra_encabezado.gif">&nbsp;</td>
        </tr>
    </table>
      <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFCC">
        <tr>
          <td valign="top" bgcolor="#FFFFCC">&nbsp;            <div align="right"></div>            <table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#333333">
              <tr align="center" valign="middle" bgcolor="#FFFFCC">
                <td width="75%" height="20" bgcolor="#FFFFCC"><div align="left" class="titulo_pagina">REPORTES<img src="../images/flecha_3.jpg" width="9" height="9"> Control de asistencia por grado, por mes </div>
                  <div align="center" class="titulo_pagina"></div></td>
                <td width="25%" bgcolor="#FFFFCC" class="parrafo"><div align="right"><a href="frm_reportes.php" class="link_parrafo">Regresar al men&uacute; de reportes<img src="../images/ic_home.png" width="21" height="21" border="0"></a> </div></td>
              </tr>
              <tr>
                <td colspan="2" align="left" valign="top" bgcolor="#FFFFCC"><div align="left" class="parrafo">
                  <table width="99%"  border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#333333">
                    <tr>
                      <td bgcolor="#FFFFFF"><form name="form1" method="post" action="rpt_asistencia_grado_v2.php" onsubmit="return validar();">
                          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                            <tr bgcolor="#6699CC">
                              <td colspan="2" class="titulo_formulario">Control de asistencia
                                  por grado, por mes
                                <input name="busqueda" type="hidden" id="busqueda" value="ok"></td>
                            </tr>
                            <tr>
                              <td bgcolor="#CFDFEF" class="lbl_campo">Seleccione un grado:</td>
                              <td bgcolor="#ECF2F9"><select name="txtgrado" class="textbox" id="txtgrado" onchange="llenar_seccion();">
                                <option value="SV">Seleccione uno...</option>
                                <?
                                $qgrado=mysql_query("select niveles.nivel as nnivel, grados.*, jornadas.jornada as njornada
                                                     from grados inner join jornadas ON grados.jornada = jornadas.id
                                                     inner join niveles ON niveles.id = grados.nivel
                                                     order by jornadas.jornada, niveles.en_numeros, grados.en_numeros, grados.grado");
                                while($igrado=mysql_fetch_array($qgrado)){
                                  $sel="";
                                  if($txtgrado == $igrado[id]){
                                    $sel="selected class='selected_option'";
                                  }
                                  echo "<option value='{$igrado[id]}' $sel>{$igrado[njornada]} | {$igrado[nnivel]} | {$igrado[grado]}</option>";
                                }
                                ?>
                              </select>
                                <strong>Secci&oacute;n:</strong>
                                <select name="txtseccion" class="textbox" id="txtseccion">
                                  <option value="SV" selected>Seleccione...</option>
                                  <?
                                if($txtgrado){
                                  $qsecc=mysql_query("select seccion from secciones_grados where grado = '$txtgrado'");
                                  while($isecc=mysql_fetch_array($qsecc)){
                                    $sel="";
                                    if($txtseccion == $isecc[seccion]){
                                      $sel="selected class='selected_option'";
                                    }
                                    echo "<option value='{$isecc[seccion]}' $sel>{$isecc[seccion]}</option>";
                                  }
                                }
                                ?>
                                </select></td>
                            </tr>
                            <tr>
                              <td width="30%" bgcolor="#CFDFEF" class="lbl_campo">Seleccione un mes a consultar: </td>
                              <td width="70%" bgcolor="#ECF2F9">
                                <select name="txtmes" class="textbox" id="txtmes">
                                  <option value="SV" selected>Seleccione uno...</option>
                                  <?
                                  for($i=1;$i<=12;$i++){
                                  $sel="";
                                  if($txtmes == $i){
                                    $sel="selected class='selected_option'";
                                  }
                                  ?>
                                  <option value="<?=$i;?>" <?=$sel;?>><?=mes_letras($i);?>
                                  </option>
                                  <?
                                  }
                                  ?>
                                </select>
                                <strong>A&ntilde;o:</strong>
                                <input name="txtyear" type="text" class="textbox" id="txtyear" size="4" maxlength="4" value="<?=date("Y");?>"> <input name="Submit" type="submit" class="boton_guardar" value="Ver reporte...">                              </td>
                            </tr>
                            <tr>
                              <td colspan="2" class="lbl_campo">&nbsp;</td>
                            </tr>
                            <tr>
                              <td colspan="2" class="lbl_campo">
                                <?
                                if(!$busqueda){exit();}
                                $qgrado=mysql_query("select * from grados where id = $txtgrado");
                                $infog=mysql_fetch_array($qgrado);
                                ?>
                                <br>
                                <table width="100%"  border="0" align="center" cellpadding="1" cellspacing="1">
                                  <tr>
                                    <td>Grado:  <?=ggrado(enc($txtgrado));?>, Nivel: <?=gnivel(enc($infog[nivel]));?>, Jornada:  <?=gjornada(enc($infog[jornada]));?>, Sección: <?=$txtseccion;?> 
                                    <br/> Mes: 
                                      <?=mes_letras($txtmes)." | Año: $txtyear";?></td>
                                    </tr>
                                </table>
                                <table width="100%" border="0" align="left" cellpadding="1" cellspacing="1" bgcolor="#CFDFEF">
                                  <tr bgcolor="#6699CC" class="titulo_formulario">
                                    <td width="43" bgcolor="#6699CC"><div align="center"> Carn&eacute;</div></td>
                                    <td width="300" bgcolor="#6699CC">Nombre del alumno </td>
                                    <?
                                    for($i=1;$i<=$dias_mes;$i++){
                                    ?>
                                    <td bgcolor="#6699CC"><?=$i;?></td>
                                    <?}?>
                                    </tr>
                                  <?

                            $qal=mysql_query("select * from alumnos where grado_estudio = '$txtgrado' and seccion='$txtseccion' and alumnos.year_estudio ='$df_year_actual' order by apellido");
                            $i=0;
                            while($ialumno=mysql_fetch_array($qal)){
                            $i++;
                            ?>
                                  <tr bgcolor="<?=color_fila($i);?>">
                                    <td><div align="center" class="parrafo"><?=$ialumno[carnet];?>
                                      </div></td>
                                    <td><?echo $ialumno[apellido].", ".$ialumno[nombre];?> </td>
                                    <?
                                    for($j=1;$j<=$dias_mes;$j++){
                                    $qasiste=mysql_query("select *
                                                          from asistencias
                                                          where alumno='{$ialumno[carnet]}'
                                                          and fecha = '$txtyear-$txtmes-$j'");
                                    $num_asistencia=mysql_num_rows($qasiste);
                                    $iasistencia=mysql_fetch_array($qasiste);
                                    ?>
                                    <td><div align="center"><?if($num_asistencia>0){?><img src="../images/<?if($iasistencia[asiste]=="S"){echo "si";}else{echo "no";}?>2.gif" width="10" height="15"><?}?></div></td>
                                    <?
                                    }
                                    ?>
                                    </tr>
                                  <?
                            }
                            ?>
                              </table></td>
                            </tr>
                          </table>
                      </form></td>
                    </tr>
                  </table>
                </div></td>
              </tr>
            </table>
            <div align="center">
              <p><span class="parrafo">Las casillas vac&iacute;as significan que no se almacen&oacute; asistencia para el alumno en ese d&iacute;a.</span></p>
            </div></td>
        </tr>
    </table>    </td>
  </tr>
</table>
</body>
</html>
